Package Details: webcamoid 8.8.0-1

Git Clone URL: https://aur.archlinux.org/webcamoid.git (read-only, click to copy)
Package Base: webcamoid
Description: Webcamoid is a full featured webcam capture application.
Upstream URL: https://webcamoid.github.io/
Licenses: GPL
Conflicts: webcamoid-git
Provides: webcamoid
Submitter: hipersayan_x
Maintainer: hipersayan_x
Last Packager: hipersayan_x
Votes: 47
Popularity: 1.76
First Submitted: 2014-12-09 01:29
Last Updated: 2021-02-16 17:54

Dependencies (29)

Required by (0)

Sources (1)

Latest Comments

1 2 3 4 Next › Last »

hipersayan_x commented on 2020-12-18 18:52

@MarcinWieczor fixed, thanks!

MarcinWieczorek commented on 2020-12-18 17:27

source=("${pkgname}-${pkver}.tar.gz::https://github.com/${pkgname}/${pkgname}/archive/${pkgver}.tar.gz") this should do the job. thanks.

hipersayan_x commented on 2020-12-18 16:54

@MarcinWieczor ok, I understand now, can you give me the patch file for the PKGBUILD so I can apply the changes?

MarcinWieczorek commented on 2020-12-17 18:54

I mean renaming it in the PKGBUILD, having only version numbers in github releases is common. Imagine I have one directory with all sources for different packages and when I install one it finds v1.0.0.tar.gz that was left there by some other package, tries to use it and fails the sum. That's because it should've been foo-1.0.0.tar.gz and bar-1.0.0.tar.gz. Thanks

hipersayan_x commented on 2020-12-17 13:12

@MarcinWieczorek I don't understand what do you mean, you want me to rename the source tarball in the upstream? for what purpose? how does it affects the build? it makes no sense for me.

MarcinWieczorek commented on 2020-12-17 10:49

Hi, thank you for maintaining. Please rename the tarball to include the pkgname, some people use common directory for sources and that causes conflicts.

hipersayan_x commented on 2020-11-05 20:27

@Tio I've tested the package and is building fine for me, also the error message is cut, I can't see what's the original error, try cleaning the src folder and building the package again, if that does not works try with webcamoid-git.

Tio commented on 2020-10-31 18:18

I get this error:

      |                              ^~~~~~
In file included from /usr/include/stdio.h:866,
                 from /usr/include/c++/10.2.0/cstdio:42,
                 from /usr/include/c++/10.2.0/ext/string_conversions.h:43,
                 from /usr/include/c++/10.2.0/bits/basic_string.h:6535,
                 from /usr/include/c++/10.2.0/string:55,
                 from /usr/include/qt/QtCore/qbytearray.h:52,
                 from /usr/include/qt/QtCore/qstring.h:50,
                 from /usr/include/qt/QtCore/qobject.h:47,
                 from /usr/include/qt/QtCore/qtimer.h:48,
                 from /usr/include/qt/QtCore/QTimer:1,
                 from videostreaming.h:24,
                 from videostreaming.cpp:21:
/usr/include/bits/stdio2.h:70:35: note: ‘__builtin___snprintf_chk’ output between 4 and 13 bytes into a destination of size 6
   70 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
      |          ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   71 |        __bos (__s), __fmt, __va_arg_pack ());
      |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
==> ERROR: A failure occurred in build().
    Aborting...

hipersayan_x commented on 2020-03-21 14:40

@Moseley libuvc is part of the AUR, makepkg doesn't pull dependencies from the AUR, you must use an AUR helper for that.

Moseley commented on 2020-03-20 21:31

I received this error when building:

Building webcamoid... ==> Making package: webcamoid 8.7.1-1 (Fri 20 Mar 2020 05:26:30 PM EDT) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Missing dependencies: -> libuvc ==> ERROR: Could not resolve all dependencies.

I manually built the other package first but thought you should know that building webcamoid alone does not pull in the other as it should.